libssh2_sftp_stat_ex(3)

NAME
libssh2_sftp_stat_ex - get status about an SFTP file

SYNOPSIS
#include <libssh2.h> #include <libssh2_sftp.h> int libssh2_sftp_stat_ex(LIBSSH2_SFTP *sftp, const char *path, unsigned int path_len, int stat_type, LIBSSH2_SFTP_ATTRIBUTES *attrs); int libssh2_sftp_stat(LIBSSH2_SFTP *sftp, const char *path, LIBSSH2_SFTP_ATTRIBUTES *attrs); int libssh2_sftp_lstat(LIBSSH2_SFTP *sftp, const char *path, LIBSSH2_SFTP_ATTRIBUTES *attrs); int libssh2_sftp_setstat(LIBSSH2_SFTP *sftp, const char *path, LIBSSH2_SFTP_ATTRIBUTES *attrs);

DESCRIPTION
sftp - SFTP instance as returned by libssh2_sftp_init(3) path - Remote filesystem object to stat/lstat/setstat. path_len - Length of the name of the remote filesystem object to stat/lstat/setstat. stat_type - One of the three constants specifying the type of stat operation to perform. attrs - Pointer to attribute structure to set file metadata from or into depending on the value of stat_type. Get or Set statbuf type data on a remote filesystem object. When getting statbuf data, libssh2_sftp_stat(3) will follow all symlinks, while libssh2_sftp_lstat(3) will return data about the object encountered, even if that object happens to be a symlink.

RETURN VALUE
Return 0 on success or negative on failure. It returns LIBSSH2_ERROR_EAGAIN when it would otherwise block. While LIBSSH2_ERROR_EAGAIN is a negative number, it isn't really a failure per se.

ERRORS
LIBSSH2_ERROR_ALLOC - An internal memory allocation call failed. LIBSSH2_ERROR_SOCKET_SEND - Unable to send data on socket. LIBSSH2_ERROR_SOCKET_TIMEOUT - LIBSSH2_ERROR_SFTP_PROTOCOL - An invalid SFTP protocol response was received on the socket, or an SFTP operation caused an errorcode to be returned by the server.

SEE ALSO
libssh2_sftp_init(3)